<template>
  <div>
    <el-button type="primary" plain v-if="isVisible" @click="refresh">刷新</el-button>
    <fine-report ref="finereport" :reportPath="reportPath"></fine-report>
  </div>
</template>

<script setup>
import {
  ref,
  onMounted
} from 'vue'

import FineReport from '@/components/report/FineReport.vue'

onMounted(() =>{
  refresh()
})

// const reportPath = ref('jlyypt/aaa.frm')
const reportPath = ref('jlyypt/wgkshyb.cpt')
const finereport = ref(null)
const isVisible = ref(false)//调试用
const refresh = () => {
  // reportPath.value = 'jlyypt/abc.cpt'
  //reportPath.value = "demo/authority/各部门人员信息查看.cpt"
  finereport.value.refresh()
}
</script>

<style>
</style>